import { Module } from '@nestjs/common';
import { StructuresModule } from '../structures/structures.module';
import { UsersModule } from '../users/users.module';
import { AdminController } from './admin.controller';
import { AdminService } from './admin.service';

@Module({
  imports: [UsersModule, StructuresModule],
  controllers: [AdminController],
  providers: [AdminService],
})
export class AdminModule {}
