export const config = {
  url: process.env.MAIL_URL,
  token: process.env.MAIL_TOKEN,
  host: 'localhost',
  protocol: 'http',
  port: '4200',
  from: 'inclusionnumerique@grandlyon.com',
  from_name: 'Réseau des acteurs de la médiation numérique',
  replyTo: 'inclusionnumerique@grandlyon.com',
  templates: {
    directory: './src/mailer/mail-templates',
    verify: {
      ejs: 'verify.ejs',
      json: 'verify.json',
    },
    changeEmail: {
      ejs: 'changeEmail.ejs',
      json: 'changeEmail.json',
    },
    resetPassword: {
      ejs: 'resetPassword.ejs',
      json: 'resetPassword.json',
    },
    adminStructureClaim: {
      ejs: 'adminStructureClaim.ejs',
      json: 'adminStructureClaim.json',
    },
    structureClaimValidation: {
      ejs: 'structureClaimValidation.ejs',
      json: 'structureClaimValidation.json',
    },
  },
};
