import { SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type CategoriesFormationsModuleDocument = CategoriesFormationsModule & Document;

export class CategoriesFormationsModule {
  id: number;
  display_id: string;
  display_name: string;
  digest: string;
  text: string;
  url: string;
  receipt_time: string;
  last_update_time: string;
}

export const CategoriesFormationsModuleSchema = SchemaFactory.createForClass(CategoriesFormationsModule);
