export const configProd = {
  url: process.env.MAIL_URL,
  token: process.env.MAIL_TOKEN,
  host: 'ram.grandlyon.com',
  protocol: 'https',
  port: '443',
  from: 'inclusionnumerique@grandlyon.com',
  from_name: 'Réseau des acteurs de la médiation numérique',
  replyTo: 'inclusionnumerique@grandlyon.com',
  templates: {
    directory: './src/mailer/mail-templates',
    verify: {
      ejs: 'verify.ejs',
      json: 'verify.json',
    },
    changeEmail: {
      ejs: 'changeEmail.ejs',
      json: 'changeEmail.json',
    },
  },
};
