import { Module } from '@nestjs/common';
import { HttpModule } from '@nestjs/common/http/http.module';
import { ConfigurationService } from '../configuration/configuration.service';
import { MailerService } from './mailer.service';

@Module({
  imports: [HttpModule],
  providers: [MailerService, ConfigurationService],
  exports: [MailerService],
})
export class MailerModule {}
